050d:0017 Bluetooth mouse randomly disconnects

Bug #1072234 reported by James Brierley on 2012-10-27
108
This bug affects 22 people
Affects Status Importance Assigned to Milestone
bluez (Ubuntu)
Undecided
Unassigned

Bug Description

Since upgrading to Quantal, my Belkin bluetooth mouse disconnects sporadically from my computer. Sometimes this will happen several times a day, at other times it will stay connected for almost the entire day without a problem.

After the connection is dropped, Bluetooth seems to become unresponsive. Generally unplugging and replugging the USB adapter is necessary to return it to a usable state.

It was extremely reliable under Precise.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: bluetooth 4.101-0ubuntu6
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu6
Architecture: amd64
Date: Sat Oct 27 23:58:59 2012
InstallationDate: Installed on 2012-03-08 (233 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
InterestingModules: bnep rfcomm btusb bluetooth
MachineType: System manufacturer System Product Name
MarkForUpload: True
PackageArchitecture: all
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=62a1305b-ef07-4168-8292-c82e0718a496 ro quiet splash vt.handoff=7
SourcePackage: bluez
UpgradeStatus: Upgraded to quantal on 2012-10-20 (7 days ago)
dmi.bios.date: 07/23/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2105
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M4A785TD-V EVO
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2105:bd07/23/2010:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A785TD-VEVO:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
hciconfig:
 hci0: Type: BR/EDR Bus: USB
  BD Address: 00:19:0E:0A:2A:A1 ACL MTU: 1021:8 SCO MTU: 64:1
  UP RUNNING PSCAN ISCAN
  RX bytes:458652 acl:26915 sco:0 events:74 errors:0
  TX bytes:1125 acl:19 sco:0 commands:29 errors:0

James Brierley (jmb8710) wrote :
James Brierley (jmb8710) wrote :

Some updates:

When I lose the ability to move the mouse, the light on the Bluetooth adapter continues to flash if the mouse is moved, suggesting that Bluetooth commands are still being received. I am able to reconnect the mouse by disconnecting the Bluetooth adapter, reinserting it and reconnecting. However, I have found that I have to switch to a TTY and back to Unity to be able to move the mouse.

Due to this (and the fact that the mouse was rock solid under Precise) I am certain that the problem lies with Ubuntu and not with my hardware. I have downgraded to Precise's Bluetooth stack to check if this is a regression.

James Brierley (jmb8710) wrote :

Reverting to Precise's bluez did not eliminate the problem.

However, when I booted into my last Precise kernel (3.2.0-32-generic) my Bluetooth became as reliable as it was before. This is even with the latest bluez (4.101-0ubuntu6).

So, this is not a bluez problem, but a regression in Linux between kernel 3.2 and 3.5.

tags: added: kernel-bug regression-update
affects: bluez (Ubuntu) → linux (Ubuntu)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.7 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
James Brierley (jmb8710) wrote :

Thank you Joseph. I am installing the kernel you specified now.

It will take a few days of use before I am certain that the problem happens/does not happen with this kernel.

James Brierley (jmb8710) wrote :

After several days of no problems with the upstream kernel, I am fairly confident that the problem is fixed there. Thanks developers for your help. Is it possible to backport the fix to the stable kernel?

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-fixed-upstream
Bernhard Cygan (bcygan) wrote :

Same issues here with 12.10 (Kernel 3.5.0-18-generic) and a Razer Orochi via Bluetooth. Sometimes the mouse will behave as if one axis is broken - mechanically impossible on an optical mouse. I can provide further logs if needed.

Download full text (24.9 KiB)

nearly similar with my Apple Magic Mouse on Ubuntu 12.10 with all latest updates.
mouse ist recognized and works some time (1-2 minutes) then it stops working and the bluetooth-stick blinks like it searches for devices.
sometimes it even crashes the whole system having to hard-reset.

upgrading the Kernel to 3.7.x doesn't change the problem.

this is the syslog output which contains the last messages when crashing:

Mackie kernel: [ 5749.493135] show_signal_msg: 39 callbacks suppressed
Jan 30 08:47:11 Mackie kernel: [ 5749.493140] pool[9201]: segfault at 7f14a827f984 ip 00007f14a827f984 sp 00007f14955b7bc0 error 14 in home-d9b471e9.log[7f14a8482000+8000]
Jan 30 08:47:26 Mackie kernel: [ 5764.277634] pool[9228]: segfault at 7f081c1d8984 ip 00007f081c1d8984 sp 00007f080bffebc0 error 14 in home-d9b471e9.log[7f081c3db000+8000]
Jan 30 09:17:02 Mackie CRON[9900]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Jan 30 10:17:01 Mackie CRON[14548]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Jan 30 10:41:37 Mackie kernel: [12615.232462] magicmouse 0005:05AC:030D.0005: unknown main item tag 0x0
Jan 30 10:41:37 Mackie kernel: [12615.262076] power_supply hid-04:0C:CE:37:1C:D9-battery: driver failed to report `capacity' property: -5
Jan 30 10:41:37 Mackie kernel: [12615.262175] input: Apple Magic Mouse as /devices/pci0000:00/0000:00:1d.7/usb1/1-4/1-4.4/1-4.4.1/1-4.4.1:1.0/bluetooth/hci0/hci0:11/input9
Jan 30 10:41:37 Mackie kernel: [12615.262365] magicmouse 0005:05AC:030D.0005: input,hidraw2: BLUETOOTH HID v3.06 Mouse [Apple Magic Mouse] on 00:19:86:00:0F:9B
Jan 30 10:41:37 Mackie kernel: [12615.263318] power_supply hid-04:0C:CE:37:1C:D9-battery: driver failed to report `capacity' property: -5
Jan 30 10:42:11 Mackie dbus[1357]: [system] Activating service name='org.debian.apt' (using servicehelper)
Jan 30 10:42:13 Mackie AptDaemon: INFO: Initializing daemon
Jan 30 10:42:13 Mackie dbus[1357]: [system] Successfully activated service 'org.debian.apt'
Jan 30 10:42:13 Mackie AptDaemon.PackageKit: INFO: Initializing PackageKit compat layer
Jan 30 10:42:50 Mackie AptDaemon: INFO: CommitPackages() was called: dbus.Array([dbus.String('bluetooth')], signature=dbus.Signature('s')), dbus.Array([dbus.String('')], signature=dbus.Signature('s')), dbus.Array([dbus.String('')], signature=dbus.Signature('s')), dbus.Array([dbus.String('')], signature=dbus.Signature('s')), dbus.Array([dbus.String('')], signature=dbus.Signature('s')), dbus.Array([dbus.String('')], signature=dbus.Signature('s'))
Jan 30 10:42:50 Mackie AptDaemon.Trans: INFO: Simulate was called
Jan 30 10:42:50 Mackie AptDaemon.Worker: INFO: Simulating trans: /org/debian/apt/transaction/ec53427855554190aee3dfe1c34d42ba
Jan 30 10:42:51 Mackie AptDaemon.Worker: INFO: Committing packages: dbus.Array([dbus.String('bluetooth')], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s')), dbus.Array([], signature=dbus.Signature('s'))
Jan 30 10:43:14 Mackie AptDaemon: INFO: CommitPackages() was called: dbus.Array([dbus.String('blueman...

btw, the batteries are new!

the batteries i used are 1 week old but just to be shure, i've replaced the batteries with new ones and now it seems to work (for about 10 minutes now)

if this error, with complete system crash, is caused by empty batteries, what is going wrong?
is it the Apple Mouse or is it the Bluetooth system?

the system crashes again after using the mouse for about 3 days with the brand new batteries.

is it possible to deactivate the battery status check for bluetooth devices?

Brian Murray (brian-murray) wrote :

I have removed the tag regression-update from this bug report as the tag should be used for a regression which happend when installing a package from the -updates repository. This tag is used by the Stable Release Updates team to watch for regressions in packages from -updates and inappropriate usage of this tag makes it harder to find this category of regression. Thanks for your understanding. To learn more about how we use tags you may want to review http://wiki.ubuntu.com/Bugs/Tags.

tags: removed: regression-update

Maybe this bug is similar to the following: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1065157

Something I've noticed is if we switch between sessions, mouse gets back to work fine.
Try it:

1. Make sure mouse stops to work
2. Switch to another session performing: ALT + F1
3. Then, switch back to GUI session: ALT + F7

Mouse should work again.
(try it more than once if it doesn't work...)

James Brierley (jmb8710) wrote :

This is still an issue with the stock Raring kernel. Using the upstream kernel package cured the problem before, so it definitely seems Ubuntu-specific. Trying the most recent upstream kernel again to make sure.

tags: added: raring

Jonathan D'Orleans, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: added: kernel-fixed-upstream-v3.7-rc5
removed: kernel-fixed-upstream
tags: added: latest-bios-2105
tags: added: regression-release
summary: - Bluetooth mouse randomly disconnects
+ 050d:0017Bluetooth mouse randomly disconnects
summary: - 050d:0017Bluetooth mouse randomly disconnects
+ 050d:0017 Bluetooth mouse randomly disconnects
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

James Brierley, could you please test for this in Saucy and report the results via http://cdimage.ubuntu.com/daily-live/current/ ?

Changed in linux (Ubuntu):
status: Expired → Incomplete

I'll do this ASAP. It might be a while before I get a chance but I'll
give it a go. I switched to a wired mouse some months ago because of
this problem.

Thanks in advance.

On 18/07/13 04:00, Christopher M. Penalver wrote:
> James Brierley, could you please test for this in Saucy and report the
> results via http://cdimage.ubuntu.com/daily-live/current/ ?
>
> ** Changed in: linux (Ubuntu)
> Status: Expired => Incomplete
>

luis.nando (luis-nando) wrote :

Guys, there is a throughout discussion on this bug here: http://ubuntuforums.org/showthread.php?t=2159645&page=6
With a little googling you can find out this is affecting a bunch of people (including me). Are there any information I can provide to help solving this issue? I am running kernel 3.10.

luis.nando, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices
Ubuntu Community: https://wiki.ubuntu.com/ReportingBugs

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

As well, posting links to dumpster dive forums is largely unhelpful, and frowned upon.

Thank you for your understanding.

Rayner Pires (raynermp) wrote :

I am also affected by this problem.

The fact is that the power management system monitors the battery level of the bluetooth mouse, and this makes the appointment service to stop working (or not having priority).

Perhaps a solution to the problem would be to disable/lock the module responsible for monitoring the battery level of the mouse. But I do not know if this is done by a power management module or by an Ubuntu bluetooth stack plugin.

Could anyone answer this, please?

Thanks in advance.

Rayner Pires, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

James Brierley (jmb8710) wrote :

I'm still investigating this bug. The situation at present is:

* Bug still present in Saucy's stock 3.11.0-13 kernel.
* Appears to be related to USB powersaving.
* Installing sysfsutils and adding the line "bus/usb/devices/*/power/autosuspend -1" to /etc/sysfs.conf *appears* to be a workaround. This is a really cheap and dirty hack as it disables autosuspend for every USB device, but you could be more surgical and work out the right directory for your problem Bluetooth device.
* A kernel dev at Intel claims that a too-small timeout in the kernel's USB core might be related: http://marc.info/?l=linux-usb&m=137714769606183&w=2. Currently compiling a git clone'd kernel with her patch. Updates soon.

James Brierley (jmb8710) wrote :

Clarification: the kernel I am patching is from the Ubuntu kernel team's git repository, not a 'vanilla' kernel.

James Brierley (jmb8710) wrote :

And a correction: sysfsutils doesn't actually support globbing; I pieced together this suggestion from several solutions, no wonder it didn't work... The correct version of this workaround is to do something such as this:

james@rainbowphoenix:~$ ls -1 /sys/bus/usb/devices/*/power/autosuspend
/sys/bus/usb/devices/1-1.1/power/autosuspend
/sys/bus/usb/devices/1-1.2/power/autosuspend
/sys/bus/usb/devices/1-1/power/autosuspend
/sys/bus/usb/devices/2-1.7.1/power/autosuspend
/sys/bus/usb/devices/2-1.7.2/power/autosuspend
/sys/bus/usb/devices/2-1.7.3/power/autosuspend
/sys/bus/usb/devices/2-1.7/power/autosuspend
/sys/bus/usb/devices/2-1/power/autosuspend
/sys/bus/usb/devices/4-1/power/autosuspend
/sys/bus/usb/devices/usb1/power/autosuspend
/sys/bus/usb/devices/usb2/power/autosuspend
/sys/bus/usb/devices/usb3/power/autosuspend
/sys/bus/usb/devices/usb4/power/autosuspend

You can then add them to /etc/sysfs.conf. In my case, the relevant paths are the ones which include 2-1.7.*.

More testing tomorrow.

James Brierley (jmb8710) wrote :

Not good news: Sarah Sharp's patch to the USB core (mentioned above) hasn't helped.

Now that I've *finally* found out what I should be doing in /etc/sysfs.conf (

module/usbcore/parameters/autosuspend = -1

) I might finally be able to see if this improves things.

James Brierley (jmb8710) wrote :

The steps in the previous comment didn't work either. It seems that autosuspend still occurs for individual devices even when usbcore is told not to do it. I don't know enough about the internals of the Linux kernel to know if this is intended behaviour.

I've tried manually adding every USB device to /etc/sysfs.conf, and I'll see if that improves matters, but suffice it to say that my hopes aren't high.

The only (possibly) helpful thing I've noticed is that whenever I restart sysfsutils when the mouse has stopped responding, it comes back to life. I don't know what this could mean.

James Brierley (jmb8710) wrote :

* manually adding every USB device to /etc/sysfs.conf
* adding usbcore.autosuspend = -1 to the kernel's boot arguments
* disabling /usr/lib/pm-utils/usb_bluetooth

...all do not help.

I'm fairly lost.

tags: added: saucy
Changed in linux (Ubuntu):
status: Incomplete → New

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Rayner Pires (raynermp) wrote :

Christopher Penalver, my bug report is attached. Thanks for support me!

Rayner Pires, please don't attach anything to this report. Please again see https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1072234/comments/23 .

James Brierley (jmb8710) wrote :

After a couple of weeks on the vanilla 3.12.0-031200rc7-generic, the problem has not shown itself.

tags: added: kernel-fixed-upstream-3.12.0-031200rc7-generic

James Brierley, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, please just make a comment to this.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
sphericalhorse (vanyasmart) wrote :

Hello, I have this problem with Razer Orochi 2013 mouse in Ubuntu 14.04.

Changed in linux (Ubuntu):
status: Expired → Incomplete
sphericalhorse (vanyasmart) wrote :

I noticed that Ubuntu has outdated BlueZ (4.101). So I build and install latest (5.17) version from developers site, and connect mouse using this instruction: http://bitly.com/11Hz73O (cos gnome-control-center can't work fine with latest BlueZ).

So now, when mouse go to sleep, I click buttons on it (to wake up), and it reconnects fine.

But I don't know what step exactly fixed my problem: new BlueZ; not typical method to connect mouse; or I just haven't noticed, that I must to click some buttons on mouse to wake it up.

Spec: Razer Orochi / Ubuntu 14.04

no longer affects: linux (Ubuntu)
Changed in bluez (Ubuntu):
status: New → Confirmed

This is reported against an old version of Ubuntu and many things has changed since then. Because of that we won't fix this issue however if this behavior repeats on a modern version please fill a bug report against it and we will take it from there.

Changed in bluez (Ubuntu):
status: Confirmed → Won't Fix
status: Won't Fix → Invalid
Aleksey (evenfrost) wrote :

Same for me with Microsoft Sculpt Comfort mouse on different machines with Ubuntu 16.04/10. Mouse keeps disconnecting every few minutes and then after about 20 seconds reconnects again. No visible issue in logs, just formal info about reconnection.

Changed in bluez (Ubuntu):
status: Invalid → Confirmed
Daniel van Vugt (vanvugt) wrote :

James,

Thank you for reporting this bug to Ubuntu. Ubuntu 12.10 (quantal) reached end-of-life on May 16, 2014.

See this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

Please upgrade to the latest version and re-test.

Others: If you have ongoing issues, please log a new bug.

Changed in bluez (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for bluez (Ubuntu) because there has been no activity for 60 days.]

Changed in bluez (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers